Weblate updated to 4.11.2

Hi all,

For information, Cloph (thanks!) has updated Weblate to 4.11.2 :slight_smile:
Cheers,
Sophie

În data de Mon, 14 Mar 2022 16:56:55 +0100, sophi a scris:

For information, Cloph (thanks!) has updated Weblate to 4.11.2 :slight_smile:

Actually, it looks like the update was a downgrade, since now I am no longer able to download a template file.

Example: while attempting to download the .zip file containing all language for a given module, say from here
https://translations.documentfoundation.org/projects/libo_ui-master/svxmessages/
then I get "Server Error / The server had serious problems serving your request. You might want to contact server admins in case the error persists."

That didn't happen until yesterday.

In fact I don't need the whole bunch of those languages for that module (or whatever other module), however, that way the .zip file contains also the .pot template file, which is what I need actually.

This because if I try yo get the English "translation" from here in order to use it as template
https://translations.documentfoundation.org/projects/libo_ui-master/svxmessages/en/
then I get "Insufficient privileges to display this page.".

So I am unable to sync my .po file with the template for master branch (but not limited to: happens the same with whatever module from 7.2 etc.). Probably a bit unusual, in general: I am working for 7.3 in mix mode (i.e. both directly using Weblate interface or offline using Poedit, the later especially when reviewing / checking for inconsitency big translation segments) and, when doing something offline and upload the translation file for 7.3, then I have to go to master (or 7.2 for the same purpose), sync with the template from there and upload my translation file there also, as the offline method does not propagate a given translation across LO versions (whereas working directly in Weblate it does).

Cristi

Hi *.

În data de Mon, 14 Mar 2022 16:56:55 +0100, sophi a scris:

> For information, Cloph (thanks!) has updated Weblate to 4.11.2 :slight_smile:

Actually, it looks like the update was a downgrade, since now I am no longer able to download a template file.

That was a dependency problem, overlooked one, should be fixed now.
Only affected either getting multiple languages or multiple
component.s

In fact I don't need the whole bunch of those languages for that module (or whatever other module), however, that way the .zip file contains also the .pot template file, which is what I need actually.

No idea what you need the separate pots for, would be interesting to know...

also: Just pick english language then
https://translations.documentfoundation.org/languages/en/libo_ui-master/
that will give you the pots - no need to download everything.
If you want everything, you can also just use the github repo / get
the pots from https://github.com/LibreOffice/translations-weblate

Indeed translation propagation doesn't work when using file uploads
(upstream decision), but you should still be able to use your poedit's
local translation memory to copy strings across different branches,
right? I don't see why you'd manually need to update against different
templates for the other branches...

ciao
Christian

În data de Tue, 15 Mar 2022 15:49:08 +0100, Christian Lohmaier a scris:

[...]

also: Just pick english language then
https://translations.documentfoundation.org/languages/en/libo_ui-master/
that will give you the pots - no need to download everything.

Just a not on this one – as I already mentioned this in my previous message (from "Tue, 15 Mar 2022 11:59:08 +0200"), in practice I cannot do that: